Search Results for

Show / Hide Table of Contents

# Interface ITargetingProxy

Managed object that exposes targeting settings of native SDK.

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface ITargetingProxy

### Properties

#### Coordinate

Gets or sets user's base location.

##### Declaration

    Vector2? Coordinate { get; set; }

##### Property Value

Type | Description
--- | ---
Vector2? | Location of the user’s home base.

##### Remarks

This is not necessarily their current location.

#### Domain

Gets or sets app domain.

##### Declaration

    string? Domain { get; set; }

##### Property Value

Type | Description
--- | ---
string | Domain of the app (e.g., `mygame.foo.com`).

#### ExternalUserIds

Gets or sets external IDs of the user.

##### Declaration

    IEnumerable<ExternalUserID> ExternalUserIds { get; set; }

##### Property Value

Type | Description
--- | ---
IEnumerable<ExternalUserID> | External IDs of the user that could be used for ad targeting.

##### Remarks

See https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### See Also

ExternalUserID

#### IsSubjectToCOPPA

Gets or sets if request is subject to the COPPA.

##### Declaration

    bool? IsSubjectToCOPPA { get; set; }

##### Property Value

Type | Description
--- | ---
bool? | `true` if this request is subject to the COPPA regulations established by the USA FTC, `false` otherwise.

#### ItunesID

Gets or sets iTunes ID.

##### Declaration

    string? ItunesID { get; set; }

##### Property Value

Type | Description
--- | ---
string | The app identifier in iTunes.

#### Keywords

Gets current keywords.

##### Declaration

    IEnumerable<string?> Keywords { get; }

##### Property Value

Type | Description
--- | ---
IEnumerable<string> | Keywords, interests, or intent.

##### See Also

AddKeyword(string)

#### PublisherName

Gets or sets publisher name.

##### Declaration

    string? PublisherName { get; set; }

##### Property Value

Type | Description
--- | ---
string | App’s publisher name.

#### SourceApp

Gets or sets source app.

##### Declaration

    string? SourceApp { get; set; }

##### Property Value

Type | Description
--- | ---
string | ID of publisher app in Apple’s App Store.

#### StoreURL

Gets or sets store URL.

##### Declaration

    string? StoreURL { get; set; }

##### Property Value

Type | Description
--- | ---
string | App store URL for an installed app.

#### UserCustomData

Gets or sets custom data for user.

##### Declaration

    string? UserCustomData { get; set; }

##### Property Value

Type | Description
--- | ---
string | Optional feature to pass bidder data that was set in the exchange’s cookie.

##### Remarks

The string must be in base85 cookie safe characters and be in any format.

#### UserExtJson

Gets or sets `ext` content for ORTB `user`.

##### Declaration

    string? UserExtJson { get; set; }

##### Property Value

Type | Description
--- | ---
string | Exchange-specific extensions to OpenRTB.

##### Remarks

Should be a valid JSON object or array.

### Methods

#### AddKeyword(string)

Adds a keyword.

##### Declaration

    void AddKeyword(string keyword)

##### Parameters

Type | Name | Description
--- | --- | ---
string | keyword | Keyword, interest, or intent.

##### See Also

Keywords

### Extension Methods

TargetingProxyExtensions.Apply(ITargetingProxy, TargetingData)
TargetingProxyExtensions.TakeSnapshot(ITargetingProxy)